<template>
  <div class="row customer-frame">
    <div class="col-12">
      <div class="row customer-content">
        <div class="col-xl-5 col-lg-5 col-md-5 col-sm-12 col-12 customer-content__image">
          <img
            v-bind:src="this.avatarURL"
            class="avatar avatar--width"
            alt="Cannot find an avatar"
          />
        </div>
        <!-- <div class="col-xl-7 col-lg-7 col-md-7 col-sm-12 col-12 customer-content__info">
          <p><span class="label-info">Id:</span> <span>{{user_id}}</span></p>
          <p><span class="label-info">Name:</span> <span>{{name}}</span></p>
          <p><span class="label-info">Address:</span> <span>{{address}}</span></p>
          <p><span class="label-info">Balance:</span> <span>{{balance}}</span></p>
          <p><span class="label-info">Email:</span> <span style="word-break:break-word">{{email}}</span></p>
          <p><span class="label-info">Phone:</span> <span>{{phone}}</span></p>
          <p><span class="label-info">Fax:</span> <span>{{fax}}</span></p>
          <p><span class="label-info">Year Of Birth:</span> <span>{{year_of_birth}}</span></p>
        </div> -->
        <br/>
        <div class="col-xl-7 col-lg-7 col-md-7 col-sm-12 col-12 customer-content__info" >
          <table>
            <tbody>
              <tr>
                <td class="customer-content__info__label">Id:</td>
                <td class="customer-content__info__value">{{user_id}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Name:</td>
                <td class="customer-content__info__value">{{name}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Address:</td>
                <td class="customer-content__info__value">{{address}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Balance:</td>
                <td class="customer-content__info__value">{{balance}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Email:</td>
                <td class="customer-content__info__value">{{email}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Phone:</td>
                <td class="customer-content__info__value">{{phone}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Fax:</td>
                <td class="customer-content__info__value">{{fax}}</td>
              </tr>
              <tr>
                <td class="customer-content__info__label">Year Of Birth:</td>
                <td class="customer-content__info__value">{{year_of_birth}}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import "./scss/ViewModal.scss";
import axios from "axios";
export default {
  name: "ViewModal",
  props: {
    id: {
      type: Number,
      required: true,
      default: -1,
    },
  },
  data: () => ({
      user_id: '',
      name: '',
      address: '',
      balance: '',
      email: '',
      phone: '',
      fax: '',
      year_of_birth: '',
      avatarURL: ''
  }),
  methods: {
    async getPersonalInfo() {
      var res = await axios.get(
        `https://ahasoft-sample-apis.azurewebsites.net/Customer/GetDetails?id=${this.id}`
      );
      console.log("personal info = ", res);
      if (res.status === 200){
          this.user_id = res.data.id;
          this.name = res.data.name;
          this.address = res.data.address;
          this.balance = res.data.balance;
          this.email = res.data.email;
          this.phone = res.data.phoneNumber;
          this.fax = res.data.fax;
          this.year_of_birth = res.data.yearOfBirth;
          this.avatarURL = res.data.avatarURL;
      }
    },
  },
  mounted() {
    this.getPersonalInfo();
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
